Package org.springframework.expression.spel

# Class InternalParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.expression.spel.InternalParseException

All Implemented Interfaces:
  `Serializable`

public class InternalParseException extends RuntimeException
Wraps a real parse exception. This exception flows to the top parse method and then the wrapped exception is thrown as the real problem.

Since:
  3.0
Author:
  Andy Clement
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InternalParseException(SpelParseException cause)`

## Method Summary

Modifier and Type
Method
Description
`SpelParseException`
`getCause()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InternalParseException

public InternalParseException(@Nullable SpelParseException cause)

## Method Details

### getCause

@Nullable public SpelParseException getCause()

Overrides:
  `getCause` in class `Throwable`